Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.awt 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.awt
Class EqualFlowLayout

    java.lang.Object
      java.awt.FlowLayout
          org.openide.awt.EqualFlowLayout

All Implemented Interfaces:
  LayoutManager, Serializable

Deprecated. This class is a relic of NetBeans 2.0. It is not used anywhere in the NetBeans codebase, but is retained for backward compatibility in the case it is used elsewhere.

    public class EqualFlowLayout

extends FlowLayout

EqualFlowLayout is a layout manager that works the same way as FlowLayout. The only difference is that it sizes the components so that they all have the same width (a width of widest component).

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.awt.FlowLayout
`CENTER, LEADING, LEFT, RIGHT, TRAILING`

Constructor Summary
`EqualFlowLayout()` Deprecated. Constructs a new Flow Layout with a centered alignment and a default 5-unit horizontal and vertical gap.
`EqualFlowLayout(int align)` Deprecated. Constructs a new Flow Layout with the specified alignment and a default 5-unit horizontal and vertical gap.
`EqualFlowLayout(int align, int hgap, int vgap)` Deprecated. Creates a new flow layout manager with the indicated alignment and the indicated horizontal and vertical gaps.

Method Summary
`void` | `layoutContainer(Container target)` Deprecated. Lays out the container.
`Dimension` | `minimumLayoutSize(Container target)` Deprecated. Returns the minimum dimensions needed to layout the components contained in the specified target container.
`Dimension` | `preferredLayoutSize(Container target)` Deprecated. Returns the preferred dimensions for this layout given the components in the specified target container.

Methods inherited from class java.awt.FlowLayout
`addLayoutComponent, getAlignment, getHgap, getVgap, removeLayoutComponent, setAlignment, setHgap, setVgap, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EqualFlowLayout

    public EqualFlowLayout()

  Deprecated.
  Constructs a new Flow Layout with a centered alignment and a default 5-unit horizontal and vertical gap.

  Since:
    JDK1.0

### EqualFlowLayout

    public EqualFlowLayout(int align)

  Deprecated.
  Constructs a new Flow Layout with the specified alignment and a default 5-unit horizontal and vertical gap. The value of the alignment argument must be one of `FlowLayout.LEFT`, `FlowLayout.RIGHT`, or `FlowLayout.CENTER`.

  Parameters:
    `align` - the alignment value
  Since:
    JDK1.0

### EqualFlowLayout

    public EqualFlowLayout(int align,
                           int hgap,
                           int vgap)

  Deprecated.
  Creates a new flow layout manager with the indicated alignment and the indicated horizontal and vertical gaps.

  The value of the alignment argument must be one of `FlowLayout.LEFT`, `FlowLayout.RIGHT`, or `FlowLayout.CENTER`.

  Parameters:
    `align` - the alignment value.
    `hgap` - the horizontal gap between components.
    `vgap` - the vertical gap between components.
  Since:
    JDK1.0

Method Detail

### preferredLayoutSize

    public Dimension preferredLayoutSize(Container target)

  Deprecated.
  Returns the preferred dimensions for this layout given the components in the specified target container.

  Specified by:
    `preferredLayoutSize` in interface `LayoutManager`
  Overrides:
    `preferredLayoutSize` in class `FlowLayout`
  Parameters:
    `target` - the component which needs to be laid out
  Returns:
    the preferred dimensions to lay out the subcomponents of the specified container.
  Since:
    JDK1.0
  See Also:
    `Container`, `minimumLayoutSize(java.awt.Container)`, `Container.getPreferredSize()`

### minimumLayoutSize

    public Dimension minimumLayoutSize(Container target)

  Deprecated.
  Returns the minimum dimensions needed to layout the components contained in the specified target container.

  Specified by:
    `minimumLayoutSize` in interface `LayoutManager`
  Overrides:
    `minimumLayoutSize` in class `FlowLayout`
  Parameters:
    `target` - the component which needs to be laid out
  Returns:
    the minimum dimensions to lay out the subcomponents of the specified container.
  Since:
    JDK1.0
  See Also:
    `preferredLayoutSize(java.awt.Container)`, `Container`, `Container.doLayout()`

### layoutContainer

    public void layoutContainer(Container target)

  Deprecated.
  Lays out the container. This method lets each component take its preferred size by reshaping the components in the target container in order to satisfy the constraints of this `FlowLayout` object.

  Specified by:
    `layoutContainer` in interface `LayoutManager`
  Overrides:
    `layoutContainer` in class `FlowLayout`
  Parameters:
    `target` - the specified component being laid out.
  Since:
    JDK1.0
  See Also:
    `Container`, `Container.doLayout()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.awt 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.